@import '../../../../styles/variables.scss';

.modal_container {
    position: absolute;
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 10px;
    background-color: $white;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.15) 2.4px 2.4px 3.2px;
    padding: 20px;

    svg {
        width: 30px;
        height: 30px;
    }

    p {
        margin: 0;
    }
}

.success { 
    color: $color-link-green;
}

.fail { 
    color: $color-link-red;
}

.warning {
    color: $color-link-yellow;
}

.infor {
    color: $tribe-primary;
}

.loading {
    color: $grey-40;
}

.loading_content {
    animation: blink 1s linear infinite;
}

@keyframes blink{
    0%{opacity: 0;}
    50%{opacity: .5;}
    100%{opacity: 1;}
}